<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UrunKategori StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:UrunKategori
 * @subpackage Structs
 */
class UrunKategori extends AbstractStructBase
{
    /**
     * The KategoriID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $KategoriID;
    /**
     * The Sira
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Sira;
    /**
     * The UrunKartiID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UrunKartiID;
    /**
     * Constructor method for UrunKategori
     * @uses UrunKategori::setKategoriID()
     * @uses UrunKategori::setSira()
     * @uses UrunKategori::setUrunKartiID()
     * @param int $kategoriID
     * @param int $sira
     * @param int $urunKartiID
     */
    public function __construct($kategoriID = null, $sira = null, $urunKartiID = null)
    {
        $this
            ->setKategoriID($kategoriID)
            ->setSira($sira)
            ->setUrunKartiID($urunKartiID);
    }
    /**
     * Get KategoriID value
     * @return int|null
     */
    public function getKategoriID()
    {
        return $this->KategoriID;
    }
    /**
     * Set KategoriID value
     * @param int $kategoriID
     * @return \StructType\UrunKategori
     */
    public function setKategoriID($kategoriID = null)
    {
        // validation for constraint: int
        if (!is_null($kategoriID) && !is_numeric($kategoriID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($kategoriID)), __LINE__);
        }
        $this->KategoriID = $kategoriID;
        return $this;
    }
    /**
     * Get Sira value
     * @return int|null
     */
    public function getSira()
    {
        return $this->Sira;
    }
    /**
     * Set Sira value
     * @param int $sira
     * @return \StructType\UrunKategori
     */
    public function setSira($sira = null)
    {
        // validation for constraint: int
        if (!is_null($sira) && !is_numeric($sira)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($sira)), __LINE__);
        }
        $this->Sira = $sira;
        return $this;
    }
    /**
     * Get UrunKartiID value
     * @return int|null
     */
    public function getUrunKartiID()
    {
        return $this->UrunKartiID;
    }
    /**
     * Set UrunKartiID value
     * @param int $urunKartiID
     * @return \StructType\UrunKategori
     */
    public function setUrunKartiID($urunKartiID = null)
    {
        // validation for constraint: int
        if (!is_null($urunKartiID) && !is_numeric($urunKartiID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($urunKartiID)), __LINE__);
        }
        $this->UrunKartiID = $urunKartiID;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\UrunKategori
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
