<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WebMagazaStok StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:WebMagazaStok
 * @subpackage Structs
 */
class WebMagazaStok extends AbstractStructBase
{
    /**
     * The MagazaKodu
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $MagazaKodu;
    /**
     * The StokAdedi
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $StokAdedi;
    /**
     * The TedarikciKodu
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TedarikciKodu;
    /**
     * The UrunID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UrunID;
    /**
     * The UrunKartiID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UrunKartiID;
    /**
     * Constructor method for WebMagazaStok
     * @uses WebMagazaStok::setMagazaKodu()
     * @uses WebMagazaStok::setStokAdedi()
     * @uses WebMagazaStok::setTedarikciKodu()
     * @uses WebMagazaStok::setUrunID()
     * @uses WebMagazaStok::setUrunKartiID()
     * @param string $magazaKodu
     * @param float $stokAdedi
     * @param string $tedarikciKodu
     * @param int $urunID
     * @param int $urunKartiID
     */
    public function __construct($magazaKodu = null, $stokAdedi = null, $tedarikciKodu = null, $urunID = null, $urunKartiID = null)
    {
        $this
            ->setMagazaKodu($magazaKodu)
            ->setStokAdedi($stokAdedi)
            ->setTedarikciKodu($tedarikciKodu)
            ->setUrunID($urunID)
            ->setUrunKartiID($urunKartiID);
    }
    /**
     * Get MagazaKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMagazaKodu()
    {
        return isset($this->MagazaKodu) ? $this->MagazaKodu : null;
    }
    /**
     * Set MagazaKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $magazaKodu
     * @return \StructType\WebMagazaStok
     */
    public function setMagazaKodu($magazaKodu = null)
    {
        // validation for constraint: string
        if (!is_null($magazaKodu) && !is_string($magazaKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($magazaKodu)), __LINE__);
        }
        if (is_null($magazaKodu) || (is_array($magazaKodu) && empty($magazaKodu))) {
            unset($this->MagazaKodu);
        } else {
            $this->MagazaKodu = $magazaKodu;
        }
        return $this;
    }
    /**
     * Get StokAdedi value
     * @return float|null
     */
    public function getStokAdedi()
    {
        return $this->StokAdedi;
    }
    /**
     * Set StokAdedi value
     * @param float $stokAdedi
     * @return \StructType\WebMagazaStok
     */
    public function setStokAdedi($stokAdedi = null)
    {
        $this->StokAdedi = $stokAdedi;
        return $this;
    }
    /**
     * Get TedarikciKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTedarikciKodu()
    {
        return isset($this->TedarikciKodu) ? $this->TedarikciKodu : null;
    }
    /**
     * Set TedarikciKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tedarikciKodu
     * @return \StructType\WebMagazaStok
     */
    public function setTedarikciKodu($tedarikciKodu = null)
    {
        // validation for constraint: string
        if (!is_null($tedarikciKodu) && !is_string($tedarikciKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tedarikciKodu)), __LINE__);
        }
        if (is_null($tedarikciKodu) || (is_array($tedarikciKodu) && empty($tedarikciKodu))) {
            unset($this->TedarikciKodu);
        } else {
            $this->TedarikciKodu = $tedarikciKodu;
        }
        return $this;
    }
    /**
     * Get UrunID value
     * @return int|null
     */
    public function getUrunID()
    {
        return $this->UrunID;
    }
    /**
     * Set UrunID value
     * @param int $urunID
     * @return \StructType\WebMagazaStok
     */
    public function setUrunID($urunID = null)
    {
        // validation for constraint: int
        if (!is_null($urunID) && !is_numeric($urunID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($urunID)), __LINE__);
        }
        $this->UrunID = $urunID;
        return $this;
    }
    /**
     * Get UrunKartiID value
     * @return int|null
     */
    public function getUrunKartiID()
    {
        return $this->UrunKartiID;
    }
    /**
     * Set UrunKartiID value
     * @param int $urunKartiID
     * @return \StructType\WebMagazaStok
     */
    public function setUrunKartiID($urunKartiID = null)
    {
        // validation for constraint: int
        if (!is_null($urunKartiID) && !is_numeric($urunKartiID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($urunKartiID)), __LINE__);
        }
        $this->UrunKartiID = $urunKartiID;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\WebMagazaStok
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
